Subject: Re: [PATCH v2] pager: remove 'S' from $LESS by default

From: Junio C Hamano <[email-masked]>
Date: Tue, 06 May 2014 10:34:24 -0700

Matthieu Moy <[email-masked]> writes:

>> > By default, Git used to set $LESS to -FRSX if $LESS was not set by the
>> > user. The FRX flags actually make sense for Git (F and X because Git
>> > sometimes pipes short output to less, and R because Git pipes colored
>> > output). The S flag (chop long lines), on the other hand, is not related
>> > to Git and is a matter of user preference. Git should not decide for the
>> > user to change LESS's default.
>> 
>> Thanks!  Sounds like a very good change.
>> 
>> (Nit: instead of "because Git sometimes pipes short output to less",
>> it would be clearer to say something like "when Git pipes short output
>> to less it is nice to exit and let the user type their next command".)
>
> It's actually a bit more than this: X to avoid initializing the terminal
> and F for the exit behavior you describe.
>
> But since the change is actually not about F and X, I prefered keeping
> the text about them as short as possible, so I prefer my version actually.

True.

As some of you might know, the version I use for my regular work is
slightly ahead of 'next' (you can see where it is by running "git
log --oneline --first-parent master..pu" and find the first entry
marked as "Merge ... into jch").  After having this patch for a few
days in there and using it, I have to say that I like this change a
lot while viewing the "git log -p" output.

I still find the output from "git blame" disturbing, though.  The
first thing I do in "git blame" output is to scroll to the right in
order to identify the the area I am interested in, and this first
step is not negatively affected, because the right scrolled output 
automatically wraps long lines.

But my second step is to scroll back to the left edge to find the
commit object name and at that point, the new default output without
"S" gets somewhat annoying, because most of the output lines from
"git blame" are longer than my window width.